/*
	Pagevamp Component: %name%
*/
(function(componentId) {
	window.meanEngine.registerComponent(function(angularApp) {
		angularApp.directive(componentId, function() {
			var component = function($scope, $element, $attrs) {
				
				$scope.safeApply = function(fn) {
					var phase = this.$root.$$phase;
					if(phase == '$apply' || phase == '$digest') {
						if(fn && (typeof(fn) === 'function')) {
							fn();
						}
					} else {
						this.$apply(fn);
					}
				};
				
				var componentUuid 	= $attrs['pagevampComponentUuid'];
				
				
				
			}
			return {
				link: 			component,
				replace:		false,
				scope:			true,
				templateUrl:	window.meanEngine.get('components').getTemplateFor(componentId)
			};
		});
	});
})('%id%');